############################################################################
#
#  Program:         ARPACK
#
#  Module:          ARmake.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack@caam.rice.edu
#
############################################################################
#
# %---------------------------------%
# |  SECTION 1: PATHS AND LIBRARIES |
# %---------------------------------%
#
# %---------------------------------------------------------%
# | The complete path to the top level of ARPACK directory, |
# | usually $(HOME)/ARPACK                                  |
# %---------------------------------------------------------%
#
#home          = $(HOME)/ARPACK
home          = /home/durufle/Solve/Parpack
#
#  %--------------------------------------%
#  | The platform identifier to suffix to |
#  | the end of library names             |
#  %--------------------------------------%
#
PLAT          = 
#
#  %--------------------------------------------------------------%
#  | The communication library ( need for parallel library only ) |
#  | Current availible platforms are: BLACS or MPI                |
#  %--------------------------------------------------------------%
#
COMMLIB       = MPI
#
#  %------------------------------------------------------%
#  | The directories to find the various pieces of ARPACK |
#  %------------------------------------------------------%
#
BLASdir      = 
LAPACKdir    = 
UTILdir      = $(home)/UTIL
SRCdir       = $(home)/SRC
PSRCdir      = $(home)/PARPACK/SRC/$(COMMLIB)
PUTILdir     = $(home)/PARPACK/UTIL/$(COMMLIB)
#
#DIRS   = $(BLASdir) $(LAPACKdir) $(UTILdir) $(SRCdir)
#
# %-------------------------------------------------------------------%
# | Comment out the previous line and uncomment the following         |
# | if you already have the BLAS and LAPACK installed on your system. |
# | NOTE: ARPACK assumes the use of LAPACK version 2 codes.           |
# %-------------------------------------------------------------------%
#
DIRS   = $(UTILdir) $(SRCdir)
#

#
# %---------------------------------------------------%
# | The name of the libraries to be created/linked to |
# %---------------------------------------------------%
#

ARPACKLIB  = $(home)/libarpack.a
LAPACKLIB = 
BLASLIB = 

ALIBS =  $(ARPACKLIB)

#
# %-----------------------------------------------------------%
# | Libraries needed for Parallel ARPACK - MPI-BLACS for SUN4 |
# %-----------------------------------------------------------%
#

PARPACKLIB = $(home)/libparpack.a

# MPI_BLACS for SUN4 
#BLACSLIBS = $(HOME)/BLACS/LIB/blacs_MPI-SUN4-0.a -lmpi
BLACSLIBS = 

PLIBS = $(PARPACKLIB) $(ALIBS) $(BLACSLIBS) etime.o

#
# %---------------------------------------------------------%
# |                  SECTION 2: COMPILERS                   |
# |                                                         |
# | The following macros specify compilers, linker/loaders, |
# | the archiver, and their options.  You need to make sure |
# | these are correct for your system.                      |
# %---------------------------------------------------------%
#
#
# %------------------------------%
# | Make our own suffixes' list. |
# %------------------------------%
#
.SUFFIXES:
.SUFFIXES:	.f	.o

#
# %------------------%
# | Default command. |
# %------------------%
#
.DEFAULT:
	@$(ECHO) "Unknown target $@, try:  make help"

#
# %-------------------------------------------%
# |  Command to build .o files from .f files. |
# %-------------------------------------------%
#
.f.o:
	@$(ECHO) Making $@ from $<
	@$(FC) -c $(FFLAGS) $<

#
# %-----------------------------------------%
# | Various compilation programs and flags. |
# | You need to make sure these are correct |
# | for your system.                        |
# %-----------------------------------------%
#
FC      = mpif90
FFLAGS  = -O2

#
# %-----------------------------------%
# | Set the parallel fortran compiler |
# %-----------------------------------%
#
PFC     = mpif90  #mpich implementations
FFLAGS  = -O2

LDFLAGS = 
CD		= cd

ECHO	 = echo

LN	 = ln
LNFLAGS	 = -s

MAKE	 = /usr/bin/make

RM	 = rm
RMFLAGS  = -f

SHELL	 = sh

#
#  %----------------------------------------------------------------%
#  | The archiver and the flag(s) to use when building an archive   |
#  | (library).  Also the ranlib routine.  If your system has no    |
#  | ranlib, set RANLIB = touch.                                    |
#  %----------------------------------------------------------------%
#
AR = ar
ARFLAGS = rv

RANLIB  = touch
#
# %----------------------------------%
# | This is the general help target. |
# %----------------------------------%
#
help:
	@$(ECHO) "usage: make ?"

